ALTER PROCEDURE [dbo].[a_sel_cantidadComentarios]
 @p_id int
AS BEGIN

	DECLARE @MyTableVar table(cnt2 int,
		cantidad int NOT NULL );
	DECLARE @MyTableVar2 table( cnt2 int,
		cantidad int NOT NULL);
	DECLARE @res table(
		cantidad int NOT NULL);

	insert into @MyTableVar
	select count(id) totales,count(case when fechaRecordar_fh < GETDATE() then id else null end) vencidos from doc_documentoComentario where cerrada = 0 and id_usuario=@p_id and active = 1  
	insert into @MyTableVar2
	select count(id) MisPregSinRespu, count(case when fechaRecordar_fh < GETDATE() then id else null end) MisPregSinRespuVencidas from doc_documentoComentario where cerrada=0 and  id_usuarioOriginal=@p_id and id_usuario <> @p_id and id_usuario > 0 and active = 1 

	insert into @res
	select cantidad from @MyTableVar
	insert into @res
	select cnt2 from @MyTableVar
	insert into @res
	select cantidad from @MyTableVar2
	insert into @res
	select cnt2 from @MyTableVar2

select * from @res
end 
GO
